Package tigase.workgroupqueues.scheduler

## Class User

- java.lang.Object
- - tigase.workgroupqueues.scheduler.User

-     public class User
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `User​(JID jid, BareJID workgroupQueueJID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `JID` | `getJid()` |
    `java.util.Date` | `getJoinTime()` |
    `java.util.Date` | `getLastUpdateSendTime()` |
    `Offer` | `getOffer()` |
    `Room` | `getRoom()` |
    `BareJID` | `getWorkgroupQueue()` |
    `int` | `hashCode()` |
    `boolean` | `isQueueNotifications()` |
    `void` | `setJoinTime​(java.util.Date joinTime)` |
    `void` | `setLastUpdateSendTime​(java.util.Date lastUpdateSendTime)` |
    `void` | `setOffer​(Offer offer)` |
    `void` | `setQueueNotifications​(boolean queueNotifications)` |
    `void` | `setRoom​(Room room)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### User

          public User​(JID jid,
                      BareJID workgroupQueueJID)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getJid

          public JID getJid()

    - #### getJoinTime

          public java.util.Date getJoinTime()

    - #### setJoinTime

          public void setJoinTime​(java.util.Date joinTime)

    - #### getLastUpdateSendTime

          public java.util.Date getLastUpdateSendTime()

    - #### setLastUpdateSendTime

          public void setLastUpdateSendTime​(java.util.Date lastUpdateSendTime)

    - #### getOffer

          public Offer getOffer()

    - #### setOffer

          public void setOffer​(Offer offer)

    - #### getRoom

          public Room getRoom()

    - #### setRoom

          public void setRoom​(Room room)

    - #### getWorkgroupQueue

          public BareJID getWorkgroupQueue()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isQueueNotifications

          public boolean isQueueNotifications()

    - #### setQueueNotifications

          public void setQueueNotifications​(boolean queueNotifications)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`